Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062726 - Remove jetty configuration steps from install scripts
Summary: Remove jetty configuration steps from install scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 1.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jason DeTiberus
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 19:36 UTC by Jason DeTiberus
Modified: 2014-05-15 14:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1062724
Environment:
Last Closed: 2014-05-15 14:40:01 UTC


Attachments (Terms of Use)

Description Jason DeTiberus 2014-02-07 19:36:14 UTC
+++ This bug was initially created as a clone of Bug #1062724 +++

Now that we have removed loading jetty.xml from the activemq configuration, we should also stop configuring jetty as well.

This is also needed, since using the installer scripts once activemq-5.9.0 is released will cause errors when loading the jetty configuration (if the user enables it).

Comment 1 Jason DeTiberus 2014-02-07 19:36:55 UTC
https://github.com/openshift/openshift-extras/pull/296

Comment 3 Anping Li 2014-02-10 10:21:07 UTC
Verified on puddle-1-2-2014-02-05, the steps is as below:
1. Install puddle-1-2-2014-02-05 using openshift.sh
2. Create App,scale up app and make jenkins build.
3. Check the activemq configuration.
[hanli1@broker activemq]$ tail -18 activemq.xml 

    </broker>

    <!--
	Enable web consoles, REST and Ajax APIs and demos. Unneeded for
        OpenShift Enterprise and therefore disabled by default.

        Take a look at ${ACTIVEMQ_HOME}/conf/jetty.xml for more details

        If enabling the web console, you should make sure to require 
        authentication in jetty.xml and configure the admin/user
        passwords in jetty-realm.properties.

        <import resource="jetty.xml"/>
    -->

</beans>
<!-- END SNIPPET: example -->


Note You need to log in before you can comment on or make changes to this bug.